/**
 * @description api/login/xx
 */


import request from '@/utils/request'

/**
 * 获取用户token
 * @param {String} code 前端获取的免授权code
 * @returns {Object} {data: userToken}
 */
export const login = code => (request({
    data: {
        code
    },
    method: 'POST',
    url: 'login/login'
}))
