import { getAuthentication } from "@/api/common" 
const state = {
    name: 'unknow'
}
const mutations = {}
const actions = {
    authentication (params) {
        return new Promise((resolve) => {
            getAuthentication(params).then(result => {
                if (result.code === 1) {
                    resolve(result.data)
                }
            })
        })
    }
}

export default {
    namespaced: true,
    state,
    mutations,
    actions
}